import ArrowRight from "@/components/Icons/ArrowRight"
import Link from "@/components/TempDesignSystem/Link"

import { SectionLinkProps } from "./link"
import { linkVariants } from "./variants"

import styles from "./link.module.css"

export default function SectionLink({ link, variant }: SectionLinkProps) {
  if (!link) {
    return null
  }
  const classNames = linkVariants({
    variant,
  })
  return (
    <Link
      className={classNames}
      color="burgundy"
      href={link.href}
      variant="underscored"
    >
      {link.text}
      <ArrowRight color="burgundy" className={styles.icon} />
    </Link>
  )
}
